#include "common.h"
#include "baaf_core.h"
#include "baai.h"

#define MAX_TMP_AGE 60*60	/* Kill abandoned tmp files after an hour */
#define MAX_LINKLESS_AGE 60*60	/* Kill unlinked attachments after an hour */

#if HAVE_UNISTD_H
#include <unistd.h>
#endif

#if HAVE_SYS_TIME_H
#include <sys/time.h>
#else
#include <time.h>
#endif

/* Kill any real attachments that never got marked as linked to an item.
 */

main(int argc,char **argv)
{
    int next= FALSE;
    char *handle,*type,*user,*conf,*desc,*ds;
    int link, access;
    off_t size;
    uid_t uid;
    time_t date;

    while (baai_walk(next,&handle,&link,&type,&size,&user,&uid,&conf,&access,
	&date,&desc))
    {
	ds= ctime(&date);
	ds[24]= '\0';
	printf("%s\n  link=%d\n  type=%s\n  size=%d\n  user=%s\n  uid=%d\n"
	       "  conf=%s\n  access=%d\n  date=%d (%s)\n  desc=%s\n",
	       handle,link,type,size,user,uid,conf,access,date,ds,
	       desc);
	free(handle);
	free(type);
	free(user);
	free(conf);
	free(desc);
	next= TRUE;
    }

    return 0;
}
